Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4013 - rpm 3.0.2-60 will no longer verify PGP signatures with pgp5.0
Summary: rpm 3.0.2-60 will no longer verify PGP signatures with pgp5.0
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-13 04:17 UTC by erbenson
Modified: 2017-07-06 18:55 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-18 18:04:52 UTC


Attachments (Terms of Use)

Description erbenson 1999-07-13 04:17:11 UTC
RPM 3.0-60 would use PGP-5.0i-7 (the ONLY pgp installed) to
verfify PGP signatures on .rpm packages via 'rpm -K
foo-1.0-1.i386.rpm' after upgrading from rpm 3.0 to rpm
3.0.2 using the same command that worked flawlessly on 3.0
will result in the following error text on stdout:

PGP is now invoked from different executables for different
operations:

pgpe    Encrypt (including Encrypt/Sign)
pgps    Sign
pgpv    Verify/Decrypt
pgpk    Key management
pgpo    PGP 2.6.2 command-line simulator (not yet
implemented)

See each application's respective man page or the general
PGP documentation
for more information.

---

I believe the problem lies in the fix reported in CHANGES
for 3.0.1 where RPM will prefer pgp2.6.3 to 5.0.x if both
are installed, I believe that RPM is not properly detecting
the 5.0 version of pgp as being version 5 and attempting to
use it as it would 2.6.x, resulting in the previous error.

Comment 1 Jeff Johnson 1999-08-18 18:04:59 UTC
Fixed in (not yet released) rpm-3.0.3.

Comment 2 openshift-github-bot 2017-07-06 18:55:30 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/2cc8208b7c14532cc5cefe71cde7f51757f5e016
Add ose-recycler to the required images (#4034)

* Add ose-recycler to the required images

ose-recycler is needed to recycle released PV when
its reclaimpolicy is recycle. 
Fixes issue #4013

* Remove empty line

* FIx typo in image name


Note You need to log in before you can comment on or make changes to this bug.